HomeDev GuideAPI Reference
Dev GuideAPI ReferenceUser GuideGitHubNuGetDev CommunityAcademySubmit a ticketLog In
API Reference

Patch content type

Patch an existing content type.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The key of the content type to patch.

Body Params

The values of the content type that should be patched formatted according to RFC7396.

Represents a content type definition.

string | null

The display name of this ContentType.

string | null

A description of this ContentType.

int32 | null

A value that is used to when sorting ContentType instances.

mayContainTypes
array of strings | null

Provides a set of content types that can be created in containers of this type

mayContainTypes
mediaFileExtensions
array of strings | null

Provides a set of media file extensions that this content type can handle.

mediaFileExtensions
compositionBehaviors
array of strings | null

Provides a set of composition behaviors specifying how this content type can be used within compositions. Currently this can only be assigned when baseType is 'component'.

compositionBehaviors
Allowed:
contracts
array of strings | null

Provides a set of contract content types that this content type is bound to.

contracts
properties
object | null

Dictionary with all custom properties of this ContentType.

accessRights
array of objects | null

The access rights assigned to this content type that defines who can create content of this type. If no access rights are assigned, everyone will be able to create content of this type. An empty array means that no new content of this type can be created.

accessRights
Headers
boolean

Patch the content type even though the changes might result in data loss.

Prefer
array of strings

Indicates client preference for the response content as per IETF RFC7240. Currently only supports 'return=representation' which can be used to indicate a preference to receive a representation of the resource that has been altered in the response.

Prefer
string

If provided, the PATCH request will only be considered if the value matches the RFC7232 ETag of the current resource. Weak ETags will always be ignored.

string

If provided, the PATCH request will only be considered if the resource has not been modified since the provided date. This parameter will be ignored if an 'If-Match' parameter is also provided.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

204

No Content

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json